Appointments API
List appointments
List appointments in the current workspace.
GET
/v1/appointmentsRequest
Path, query, and JSON body fields accepted by this operation.
patientIdstring<uuid>queryfromstring<date-time>querytostring<date-time>querystatus"scheduled" | "checked_in" | "in_progress" | "completed" | "cancelled" | "no_show"querylimitintegerquerydefault 100min 1max 200
Response
Successful responses use Dawn's data envelope.
dataAppointmentListrequiredidstring<uuid>requiredworkspaceIdstring<uuid>requiredpatientIdstring<uuid>requiredpractitionerIdstring<uuid>requiredstartsAtstring<date-time>requiredendsAtstring<date-time>requiredstatus"scheduled" | "checked_in" | "in_progress" | "completed" | "cancelled" | "no_show"requiredreasonstring | nullrequiredmax length 240createdAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
403Scheduling is disabled or unavailable.422The appointment query is invalid.503Appointments are temporarily unavailable.
Last updated on